<?php

// 12.04.23 - Webbax | Exporter les clients ayant pas fait d'achat depuis 6 mois

$root_folder = dirname(__FILE__).'/../../';
require($root_folder.'config/config.inc.php');
$token = Tools::getValue('token');

if($token!='429x827xc'){
    die('bad token');
}

$customers_csv = array();
$DateStartCustomer = new DateTime(date('Y-m-d'));
$DateStartCustomer->modify('-1 year');
$customers = Db::getInstance()->executeS('SELECT `id_customer` FROM '._DB_PREFIX_.'customer WHERE `active`=1 AND `date_add` > "'.pSQL($DateStartCustomer->format('Y-m-d H:i:s')).'"');

$DateStartBuy = new DateTime(date('Y-m-d'));
$DateStartBuy->modify('-6 month');
foreach($customers as $c){
    $last_order = Db::getInstance()->getRow('SELECT * FROM '._DB_PREFIX_.'orders WHERE id_customer="'.pSQL($c['id_customer']).'" ORDER BY `date_add` DESC');
    // s'il a déjà commandé une fois
    if(!empty($last_order)){
        // mais pas commandé depuis les 6 derniers mois
        if($last_order['date_add'] < $DateStartBuy->format('Y-m-d H:i:s')){
            $customer = array();
            $Address = new Address($last_order['id_address_invoice']);
            $customer['company'] = $Address->company;
            $customer['firstname'] = $Address->firstname;
            $customer['lastname'] = $Address->lastname;
            $customer['address1'] = $Address->address1;
            $customer['address2'] = $Address->address2;
            $customer['postcode'] = $Address->postcode;
            $customer['city'] = $Address->city;
            $customer['last_order_id'] = $last_order['id_order'];
            $customer['last_order_date'] = $last_order['date_add'];
            $customer['total_paid'] = $last_order['total_paid'];
            $customers_csv[] = $customer;
        }
    }
}

$columns = array('Société','Prénom','Nom','Adresse 1','Adresse 2','Code postal','Ville','ID dernière commande','Date dernière commande','Montant commande');
echo implode(';',$columns)."<br/>";
foreach($customers_csv as $cc){
    echo implode(';',$cc)."<br/>";
}

?>